str_replace
str_shuffle
String Functions
PHP Manual

# str_rot13

Perform the rot13 transform on a string

### Description

string str_rot13 ( string `$str` )

Performs the ROT13 encoding on the `str` argument and returns the resulting string.

The ROT13 encoding simply shifts every letter by 13 places in the alphabet while leaving non-alpha characters untouched. Encoding and decoding are done by the same function, passing an encoded string as argument will return the original version.

### Parameters

`str`

  The input string.

### Return Values

Returns the ROT13 version of the given string.

### Examples

Example #1 str_rot13 example

`<?php
echo str_rot13('PHP 4.3.0'); // CUC 4.3.0
?>`

### Changelog

Version | Description
--- | ---
4.3.0 | The behaviour of this function was fixed. Before this fix, the `str` was also modified, as if it was passed by reference.